


%BW_exam_5P7: examples of biorth. spline wavelets
 %



n11=128;%input('length of signal; 0--former ?')

if n11~=0
n=n11
end
ll=1;
J=log2(n);
figure;
% Par=[ 3 33 3 4 5 11 12] ;
% PDQ=[3 3 1 1 1 1 1];
Par=[ 2:2:12] ;
PDQ=2*ones(1,7);
for mm=1:6

    %[Leo FLeo]=fram_lev5P(Par,1,n,0);
[h,wav]=BW_fil_wav(n,Par(mm), PDQ(mm));

eval(['subplot(6,2,' int2str(2*mm-1) ')'])
for kk=1:4
a=wav(kk,:);
plot(a,'LineWidth',2);
hold on
end
hold off

axis([1,n, -.5,1])
%set(gca,'XTick',{})
set(gca,'XTickLabel',{})
 %set(gca,'Fontsize',1)
% set(gca,'YTick',0)
set(gca,'YTickLabel',{})
 set(gca,'Fontsize',1)

eval(['subplot(6,2,' int2str(2*mm)  ')'])
for kk=[1 2]
a=abs(h(kk,1:n/2));
plot(a,'--','LineWidth',3);
hold on
end
for kk=3:4
a=abs(h(kk,1:n/2));
plot(a,'-','LineWidth',3);
hold on
end
%set(gca,'XTick',{})
set(gca,'XTickLabel',{})
set(gca,'YTickLabel',{})
axis([1,n/2, 0,2])
hold off
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Copyright (c) 2013. Valery A. Zheludev

